<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Hobby;
use Illuminate\Support\Facades\Schema;

class HobbySeeder extends Seeder
{
    public function run()
    {
        // Delete all existing hobbies
        if (Schema::hasTable('hobby')) {
            Hobby::truncate();
        }

        $hobbies = [
            'Animasi',
            'Kegiatan kreatif',
            'Menulis kreatif',
            'Menggambar',
            'Pembuatan film',
            'Merangkai bunga',
            'Membangun furnitur',
            'Restorasi furnitur',
            'Ilustrasi',
            'Merajut',
            'Melukis',
            'Fotografi',
            'Keramik',
            'Menjahit selimut perca',
            'Pengerjaan kayu',
            'Blogging',
            'Copywriting',
            'Penulisan esai',
            'Fan fiction (Fiksi penggemar)',
            'Penulisan fiksi',
            'Menjurnal',
            'Menulis memoar',
            'Penulisan puisi',
            'Penulisan skenario',
            'Penulisan travel (traveling)',
            'Bullet journaling',
            'Penganggaran',
            'Sinkronisasi kalender',
            'Pengorganisasian digital',
            'Proyek DIY (Do It Yourself)',
            'Perencanaan acara',
            'Feng Shui',
            'Berkebun',
            'Penataan rumah',
            'Metode KonMari',
            'Perencanaan makan',
            'Mengorganisir pertemuan lokal',
            'Inventaris pribadi',
            'Menghadiri acara sastra',
            'Klub buku',
            'Koleksi buku',
            'Ulasan buku',
            'Tukar-menukar buku',
            'Analisis literatur',
            'Tantangan membaca',
            'Membaca berbagai genre',
            'Membaca untuk pendidikan',
            'Menerjemahkan buku',
            'Action figure',
            'Komik',
            'Set LEGO',
            'Album rekaman',
            'Memorabilia olahraga',
            'Perangko',
            'Stiker',
            'Barang koleksi vintage',
            'Penyelamatan hewan',
            'Berkebun komunitas',
            'Konservasi',
            'Bantuan bencana',
            'Dukungan lansia',
            'Acara penggalangan dana',
            'Habitat for Humanity',
            'Dukungan tunawisma',
            'Layanan internasional',
            'Dukungan literasi',
            'Mentoring',
            'Asisten pengajar',
            'Pelatih olahraga remaja',
            'Pembuatan konten',
            'Analisis data',
            'Olahraga',
            'Podcasting',
            'Membaca buku pemasaran',
            'SEO (Search Engine Optimization)',
            'Media sosial',
            'Videografi',
            'Berakting',
            'Menggubah musik',
            'Menari',
            'DJ',
            'Menjuggling',
            'Puisi',
            'Memainkan alat musik',
            'Trik sulap',
            'Bernyanyi',
            'Penulisan lagu',
            'Standup komedi',
            'Belanja murah',
            'Program komputer',
            'Investasi',
            'Belajar bahasa',
            'Partisipasi dalam klub investasi',
            'Membaca berita keuangan dan laporan pasar',
            'Trading',
            'Kerja sukarela',
            'Membangun hubungan',
            'Telepon dingin (cold calling)',
            'Acara networking',
            'Keterampilan persuasi dan mempengaruhi',
            'Berlatih negosiasi',
            'Permainan peran',
            'Olahraga tim',
            'Bepergian',
            'Window shopping',
            'Backpacking',
            'Baseball',
            'Basket',
            'Binaraga',
            'Kano',
            'Balap mobil',
            'Pelatih',
            'Berperahu',
            'Bowling',
            'Sepak bola',
            'Fantasy football (fantasi sepak bola Amerika)',
            'Fantasy baseball (fantasi baseball)',
            'Golf',
            'Mendaki',
            'Olahraga individu',
            'Kayak',
            'Bela diri',
            'Sepeda gunung',
            'Panjat gunung',
            'Paintball',
            'Pickleball',
            'Pilates',
            'Panjat tebing',
            'Lari',
            'Berlayar',
            'Scuba diving',
            'Terjun payung',
            'Snowboarding',
            'Ski',
            'Tenis',
            'Arung jeram',
            'Yoga',
            'Pencetakan 3D',
            'Pembuatan aplikasi',
            'Kecerdasan buatan',
            'Pemrograman komputer',
            'Podcasting',
            'Robotika',
            'Media sosial',
            'Realitas virtual',
            'Desain web',
            'Pengembangan web',
            'Astronomi',
            'Astrologi',
            'Membangun model',
            'Restorasi mobil',
            'Kegiatan komunitas',
            'Kelas memasak',
            'Silsilah',
            'Pelestarian sejarah',
            'Belajar bahasa',
            'Grup networking',
            'Pengembangan pribadi',
            'Bepergian dengan RV',
            'Bahasa isyarat',
            'Mengumpulkan perangko',
            'Bepergian',
            'Belanja barang vintage'
        ];        

        foreach ($hobbies as $hobby) {
            Hobby::create([
                'name' => $hobby,
                'status' => 1,
            ]);
        }
    }
}
